=== debian/changelog ===
rapiddisk (8.2.0-2ubuntu1) kinetic; urgency=medium

  * Support Linux 5.19 (LP: #1983561):
    - debian/patches/0001-Support-linux-5.19.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Thu, 04 Aug 2022 08:08:48 +0000

rapiddisk (8.2.0-2) unstable; urgency=medium

  * Source upload.

 -- Gürkan Myczko <tar@debian.org>  Mon, 25 Jul 2022 09:55:33 +0200

rapiddisk (8.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Gürkan Myczko <tar@debian.org>  Tue, 21 Jun 2022 10:17:26 +0200

rapiddisk (8.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1013110)

 -- Gürkan Myczko <tar@debian.org>  Thu, 16 Jun 2022 09:33:21 +0200
