=== debian/control ===
Source: rapiddisk
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dkms,
 dh-dkms,
 libjansson-dev,
 libmicrohttpd-dev
Standards-Version: 4.6.1
Homepage: https://github.com/pkoutoupis/rapiddisk
Vcs-Browser: https://salsa.debian.org/debian/rapiddisk
Vcs-Git: https://salsa.debian.org/debian/rapiddisk.git

Package: rapiddisk-dkms
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Linux RAM Drive and Caching kernel modules (DKMS)
 This software defined advanced RAM drive and storage
 caching solution. This suite includes a collection of modules,
 configuration files, and command line utilities for managing
 RapidDisk enabled storage volumes and accessing them either
 locally or across an NVMe Target network.
 .
 This is the kernel module for Linux.

Package: rapiddisk
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Linux RAM Drive and Caching kernel modules
 This software defined advanced RAM drive and storage
 caching solution. This suite includes a collection of modules,
 configuration files, and command line utilities for managing
 RapidDisk enabled storage volumes and accessing them either
 locally or across an NVMe Target network.
