=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk

pdkms:=rapiddisk-dkms
sname:=rapiddisk

%:
	dh $@ --with dkms

override_dh_auto_build:
	$(MAKE) -C src

override_dh_auto_install:
	@echo MOO
#	$(MAKE) tools-install
#	dh_auto_install
#	-rm debian/tmp/lib/modules/*/kernel/drivers/block/rapiddisk*.ko

override_dh_dkms:
	dh_install module/* usr/src/$(sname)-$(DEB_VERSION)
	dh_dkms -V $(DEB_VERSION)
