## rapiddisk 9.0.0

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2016 - 2022 Petros Koutoupis
+# Copyright © 2016 - 2023 Petros Koutoupis
 # All rights reserved.
 #
 # This program is free software: you can redistribute it and/or modify
@@ -37,6 +37,5 @@
 	$(RM) $(DESTDIR)$(MAN_DIR)/rapiddisk.1
 	$(RM) $(DESTDIR)$(MAN_DIR)/rapiddiskd.1
 
-.PHONY: clean
-clean:
-	@echo Nothing to do.
+.PHONY: clean install-strip debug tools-strip tools-debug tools-uninstall tools-install-strip tools-install clean-tools tools dkms-uninstall dkms-install
+clean install-strip debug tools-strip tools-debug tools-uninstall tools-install-strip tools-install clean-tools tools dkms-uninstall dkms-install:
