=== module/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2011 - 2022 Petros Koutoupis
+# Copyright © 2011 - 2023 Petros Koutoupis
 # All rights reserved.
 #
 # This program is free software: you can redistribute it and/or modify
@@ -15,7 +15,7 @@
 #
 # SPDX-License-Identifier: GPL-2.0-only
 
-VERSION = 8.2.0
+VERSION = 9.0.0
 
 ifeq ($(KSRC),)
 	KSRC := /lib/modules/$(shell uname -r)/build
@@ -49,7 +49,7 @@
 
 clean:
 	rm -rf *.o *.ko *.symvers *.mod.c .*.cmd Module.markers modules.order *.o.* built-in*
-	rm -rf .tmp_versions .rapiddisk.o.d *.unsigned *.sdtinfo.c .ctf/ .cache.mk *.mod
+	rm -rf .tmp_versions .rapiddisk.o.d .rapiddisk-cache.o.d *.unsigned *.sdtinfo.c .ctf/ .cache.mk *.mod
 
 dkms-install: clean uninstall
 ifeq ($(shell which dkms >/dev/null 2>/dev/null; echo $$?),1)
@@ -69,3 +69,9 @@
 else
 	$(error rapiddisk version $(VERSION) is not installed for kernel $(KVER))
 endif
+
+.PHONY: test
+run-test: all
+
+.PHONY: install-strip debug tools-strip tools-debug tools-uninstall tools-install-strip tools-install clean-tools tools
+install-strip debug tools-strip tools-debug tools-uninstall tools-install-strip tools-install clean-tools tools:
