=== test/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2016 - 2022 Petros Koutoupis
+# Copyright © 2016 - 2023 Petros Koutoupis
 # All rights reserved.
 #
 # This program is free software: you can redistribute it and/or modify
@@ -20,29 +20,19 @@
 	CC := gcc -Werror
 endif
 
-BIN = rxflush rxio rxioctl
+BIN = rxflush rxio rxioctl rxro
 
 .PHONY: all
 all: $(BIN)
-	@echo Make has completed.
 
-.PHONY: install
-install: all
-	@echo Nothing to do.
-
-.PHONY: uninstall
-uninstall:
-	@echo Nothing to do.
-
-rxflush: rxflush.c
-	$(CC) rxflush.c -o rxflush
-
-rxio: rxio.c
-	$(CC) rxio.c -o rxio
-
-rxioctl: rxioctl.c
-	$(CC) rxioctl.c -o rxioctl
+.PHONY: run-test
+run-test: all
+	./test-leaks.sh
+	./cache-test.sh
 
 .PHONY: clean
 clean:
 	rm -f $(BIN)
+
+.PHONY: install install-strip uninstall debug tools-strip tools-debug tools-uninstall tools-install-strip tools-install clean-tools tools dkms-uninstall dkms-install
+install install-strip uninstall debug tools-strip tools-debug tools-uninstall tools-install-strip tools-install clean-tools tools dkms-uninstall dkms-install:
