=== debian/changelog ===
rapiddisk (9.0.0-1+deb12u1) bookworm; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #1091209)
  * Drop unused obsolete patches.
  * Cherry-pick upstream commits for supporting up to Linux 6.10.
    (Closes: #1069945, #1070418)
  * dkms.conf: Set BUILD_EXCLUSIVE_KERNEL_MIN="2.6.39" for using kstrto*().
  * Upload to bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Feb 2025 16:18:20 +0100

rapiddisk (9.0.0-1) unstable; urgency=medium

  * New upstream version.
  * Thanks/Ack Andreas Beckmann, Andrea Rigi for the previous changes,
    disabled the debian/patches as upstreamed.
  * d/copyright: bump years.
  * d/control: add libdevmapper-dev to build-depends.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Fri, 03 Feb 2023 07:45:15 +0100

rapiddisk (8.2.0-4.1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Switch to dh-sequence-dkms. (Closes: #1027882)
  * Declare Testsuite: autopkgtest-pkg-dkms.

  [ Andrea Righi ]
  * Support linux 6.x. (Closes: #1029266)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 31 Jan 2023 14:28:59 +0100

rapiddisk (8.2.0-4) unstable; urgency=medium

  * Really stop double shipping of conflicting files. (Closes: #1016508)
  * Apply patch from Andreas Righi to build on 5.19.x kernels. Thanks.

 -- Gürkan Myczko <tar@debian.org>  Wed, 14 Sep 2022 09:57:07 +0200

rapiddisk (8.2.0-3) unstable; urgency=medium

  * Stop double shipping of same files, only use upstream version.
    (Closes: #1016508)

 -- Gürkan Myczko <tar@debian.org>  Tue, 16 Aug 2022 15:16:45 +0200
