=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: rapiddisk
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- dkms,
- dh-dkms,
+ dh-sequence-dkms,
+ libdevmapper-dev,
  libjansson-dev,
  libmicrohttpd-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/pkoutoupis/rapiddisk
 Vcs-Browser: https://salsa.debian.org/debian/rapiddisk
 Vcs-Git: https://salsa.debian.org/debian/rapiddisk.git
+Testsuite: autopkgtest-pkg-dkms
 
 Package: rapiddisk-dkms
 Architecture: all
