=== debian/watch ===
version=4
# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/pkoutoupis/rapiddisk/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
