=== debian/changelog ===
rapiddisk (9.1.0-5) unstable; urgency=medium

  * QA upload.

  [ Paolo Pisati ]
  * Fix FTBFS with Linux 6.11.  (Closes: #1093127)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Feb 2025 15:33:57 +0100

rapiddisk (9.1.0-4) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #1091209)
  * Drop unused obsolete patches.
  * Drop -dkms suffix from dkms module name.
  * Use dkms.conf from upstream.
  * Do not ship an executable .service file.
  * Simplify debian/rules.
  * Cherry-pick upstream commits for supporting up to Linux 6.10.
    (Closes: #1069945, #1070418)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 15 Jan 2025 14:06:14 +0100

rapiddisk (9.1.0-3) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * d/rapiddisk.install: update path. (Closes: #1073655)

 -- Alex Myczko <tar@debian.org>  Mon, 22 Jul 2024 13:57:51 +0000

rapiddisk (9.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Tue, 13 Jun 2023 16:23:57 +0200

rapiddisk (9.1.0-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Tue, 25 Apr 2023 10:23:46 +0200
