=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libdevmapper-dev,
  libjansson-dev,
  libmicrohttpd-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/pkoutoupis/rapiddisk
 Vcs-Browser: https://salsa.debian.org/debian/rapiddisk
 Vcs-Git: https://salsa.debian.org/debian/rapiddisk.git
