=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

include /usr/share/dpkg/pkg-info.mk


%:
	dh $@ --sourcedirectory=src

# the upstream install target *silently* breaks without failing
# if INSTALL is overridden by dh_*
override_dh_auto_install:

execute_after_dh_install-indep:
	dh_install -prapiddisk-dkms module/Makefile module/*.c usr/src/rapiddisk-$(DEB_VERSION_UPSTREAM)

execute_before_dh_fixperms-arch:
	chmod -x debian/rapiddisk/usr/lib/systemd/system/rapiddiskd.service
