=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2011 - 2023 Petros Koutoupis
+# Copyright © 2011 - 2025 Petros Koutoupis
 # All rights reserved.
 #
 # This file is part of RapidDisk.
@@ -36,8 +36,8 @@
 NDEBUG_CFLAGS := -O2 -Wno-unused-result -flto=auto -ffat-lto-objects -fstack-protector-strong $(CFLAGS)
 endif
 ifndef LDLIBS
-COMMON_LDLIBS := -ljansson -ldevmapper -lpcre2-8
-DAEMON_LDLIBS := -ljansson -ldevmapper -lpcre2-8 -lmicrohttpd
+COMMON_LDLIBS := -ljansson -ldevmapper -lpcre2-8 -lm
+DAEMON_LDLIBS := -ljansson -ldevmapper -lpcre2-8 -lmicrohttpd -lm
 else
 COMMON_LDLIBS := $(LDLIBS)
 DAEMON_LDLIBS := $(LDLIBS)
