=== debian/changelog ===
rapiddisk (9.2.0-2~25.10.1) questing; urgency=medium

  * Support 6.17 kernel (LP: #2134569)
    - No change backport from Resolute to ensure it sorts before -devel version

 -- John Cabaj <john.cabaj@canonical.com>  Fri, 19 Dec 2025 22:02:30 +0100

rapiddisk (9.2.0-2) unstable; urgency=medium

  * QA upload.
  * Fix module build for Linux 6.16.  (Closes: #1109903)
  * Fix building with -std=c23.  (Closes: #1097769)
  * Drop redundant Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Dec 2025 13:03:38 +0100

rapiddisk (9.2.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Bump standards version to 4.7.2.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Mar 2025 01:03:37 +0100
