=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: rapiddisk
 Section: kernel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Rules-Requires-Root: no
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-dkms,
  libdevmapper-dev,
  libjansson-dev,
  libmicrohttpd-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/pkoutoupis/rapiddisk
 Vcs-Browser: https://salsa.debian.org/debian/rapiddisk
 Vcs-Git: https://salsa.debian.org/debian/rapiddisk.git
